Julie Myers

Elsewhere In Between

The Elsewhere In Between interactive requires that the latest Flash player is installed.
If you experience problems with slow loading or playback please install the latest version by following the link above.

It also requires a broadband connection of at least 512k, and a reasonably fast computer... ideally Macintosh G4 or Intel Pentium 4 equipped system (or better!).

On slower computers you may see a message warning you that a script is running slowly. If you ignore this warning and let the script run, then the database will load and things will speed up. Hopefully enough for you to watch the videos.

Click here for the on-line version if Elsewhere In Between